summaryrefslogtreecommitdiffstats
path: root/source/l/clucene/clucene.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/clucene/clucene.SlackBuild')
-rwxr-xr-xsource/l/clucene/clucene.SlackBuild24
1 files changed, 19 insertions, 5 deletions
diff --git a/source/l/clucene/clucene.SlackBuild b/source/l/clucene/clucene.SlackBuild
index fc4d4d4a4..e72989fa4 100755
--- a/source/l/clucene/clucene.SlackBuild
+++ b/source/l/clucene/clucene.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,9 +25,20 @@
# No added terms or copyright claims
-VERSION=0.9.21b
-ARCH=${ARCH:-x86_64}
+PKGNAM=clucene
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
@@ -43,13 +54,16 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf clucene-core-$VERSION
-tar xvf $CWD/clucene-core-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/clucene-core-$VERSION.tar.?z* || exit 1
cd clucene-core-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,7 +91,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/clucene-$VERSION
cp -a \
APACHE.license AUTHORS COPYING* HACKING INSTALL \
- LGPL.license NEWS README REQUESTS \
+ LGPL.license NEWS README* REQUESTS \
$PKG/usr/doc/clucene-$VERSION
mkdir -p $PKG/install